Last Comment Bug 807884 - Add memory reporters for nsComponentManager and nsCategoryManager
: Add memory reporters for nsComponentManager and nsCategoryManager
Status: RESOLVED FIXED
[MemShrink]
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla19
Assigned To: Nicholas Nethercote [:njn]
:
:
Mentors:
Depends on:
Blocks: B2GDarkMatter
  Show dependency treegraph
 
Reported: 2012-11-01 20:24 PDT by Nicholas Nethercote [:njn]
Modified: 2012-11-13 17:06 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
(part 1) - Remove dead nsComponentManagerImpl::mLoaderData. (2.17 KB, patch)
2012-11-01 20:34 PDT, Nicholas Nethercote [:njn]
benjamin: review+
bajaj.bhavana: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
(part 2) - Add memory reporters for nsComponentManager and nsCategoryManager. (16.14 KB, patch)
2012-11-01 20:35 PDT, Nicholas Nethercote [:njn]
benjamin: review+
bajaj.bhavana: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Nicholas Nethercote [:njn] 2012-11-01 20:24:37 PDT
nsComponentManager and nsCategoryManager account for a moderate amount of memory in each B2G process.
Comment 1 Nicholas Nethercote [:njn] 2012-11-01 20:34:14 PDT
Created attachment 677646 [details] [diff] [review]
(part 1) - Remove dead nsComponentManagerImpl::mLoaderData.

Simple dead code removal.
Comment 2 Nicholas Nethercote [:njn] 2012-11-01 20:35:08 PDT
Created attachment 677647 [details] [diff] [review]
(part 2) - Add memory reporters for nsComponentManager and nsCategoryManager.

These reporters account for about 270 KiB per process on 64-bit builds.
Comment 3 Nicholas Nethercote [:njn] 2012-11-07 15:17:17 PST
Review ping.  Getting "heap-unclassified" down is quite important for B2G, and this is one of the larger pieces left.
Comment 6 Nicholas Nethercote [:njn] 2012-11-11 14:23:12 PST
Comment on attachment 677646 [details] [diff] [review]
(part 1) - Remove dead nsComponentManagerImpl::mLoaderData.

[Approval Request Comment]

Bug caused by (feature/regressing bug #):  N/A.

User impact if declined:  prevents the next patch from applying.

Testing completed (on m-c, etc.):  been on m-c for several days without problem.

Risk to taking this patch (and alternatives if risky):  negligible;  it's trivial dead code removal.

String or UUID changes made by this patch:  none.
Comment 7 Nicholas Nethercote [:njn] 2012-11-11 14:24:42 PST
Comment on attachment 677647 [details] [diff] [review]
(part 2) - Add memory reporters for nsComponentManager and nsCategoryManager.

[Approval Request Comment]

Bug caused by (feature/regressing bug #):  N/A.

User impact if declined:  less understanding of B2G memory consumption.

Testing completed (on m-c, etc.):  been on m-c for several days.

Risk to taking this patch (and alternatives if risky):  low.  The code is only run when about:memory is viewed or a memory reporter dump is triggered.

String or UUID changes made by this patch:  none.

Note You need to log in before you can comment on or make changes to this bug.